#ugly hack
#%define _noVersionedDependencies 1

#php 4.3.2 doesn't allow to use openssl shared
%define _openssl_shared 0
%define arch_tar_ver 1.3.1
%define getopt_ver 1.2

Summary: The PHP4 HTML-embedded scripting language for use with Apache.
Name: php4
Version: 4.4.7
Release: 1tr
Group: Trustix Official
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source1: php4.ini
Source2: php4-httpd.conf
Source3: php4-DB-1.6.2.tar
Source4: php4-Mail-1.1.3.tar
Source5: php4-HTTP-1.2.2.tar
Source6: php4-Net_Socket-1.0.1.tar
Source7: php4-Net_SMTP-1.2.6.tar
Source8: php4-XML_Parser-1.0.1.tar
Source9: php4-httpd-fastcgi.conf
Source10: Archive_Tar-%{arch_tar_ver}.tgz 
Source11: Console_Getopt-%{getopt_ver}.tgz
Patch0: php4-CVE-2006-4812.patch 
Patch1: php4-CVE-2006-4625.patch
# upgrade to 4.4.1 introduced Bugs.
License: PHP
BuildRoot: /var/tmp/%{name}-root
Requires: webserver, gmp, openssl, bzip2, zlib, rpm >= 3.0.6, db4
Obsoletes: mod_php3 
BuildRequires: apache-devel >= 2
BuildRequires: postgresql-devel, mysql-devel, uw-imap-devel, openldap-devel
BuildRequires: zlib-devel, gmp-devel, flex, bzip2-devel, freetype-devel
BuildRequires: cyrus-imapd-devel, libpng-devel, libjpeg-devel, gd-devel
BuildRequires: cyrus-sasl-devel, readline-devel, db4-devel, perl, mhash-devel
BuildRequires: rpm-build >= 4.0.4-22gd, curl-devel curl
BuildRequires: ncurses-devel byacc bison
%if !%{_openssl_shared}
Obsoletes: mod_php4-openssl
%endif

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

%package cli 
Summary: CLI/PHP4 support
Group: Trustix Official
Requires: php4, db4
%description cli 
This package contains a standalone PHP binary. 

The CLI (command line interface) SAPI has been introduced
with a goal of making PHP better at supporting the creation of 
stand alone applications.

%package curl
Summary: curl/PHP support
Group: Trustix Official
Requires: %{name} curl

%description curl
Curl support module for PHP

Uncomment "extension=curl.so" in order to activate this module

%if %{_openssl_shared}
%package openssl 
Summary: OpenSSL/PHP4 support
Group: Trustix Official
Requires: php4
%description openssl 
OpenSSL support module for PHP4

Uncomment "extension=openssl.so" in order to activate this module
%endif

%package exif
Summary: Exif/PHP4 support
Group: Trustix Official
Requires: php4
%description exif 
EXIF support module for PHP4

Uncomment "extension=exif.so" in order to activate this module

%package gd
Summary: GD/PHP4 support
Group: Trustix Official
Requires: php4
%description gd 
GD support module for PHP4

Uncomment "extension=gd.so" in order to activate this module

%package imap
Summary: IMAP/PHP4 support
Group: Trustix Official
BuildRequires: uw-imap-devel openssl-devel
Requires: openssl php4
%description imap
IMAP support module for PHP4

Uncomment "extension=imap.so" in order to activate this module

%package ldap
Summary: LDAP/PHP4 support
Group: Trustix Official
Requires: openldap php4
BuildRequires: openldap-devel 
%description ldap
LDAP support module for PHP4

Uncomment "extension=ldap.so" in order to activate this module

%package mysql
Summary: MySQL/PHP4 support
Group: Trustix Official
Requires: mysql-libs zlib-devel php4
%description mysql
MySQL support module for PHP4

Uncomment "extension=mysql.so" in order to activate this module

%package pgsql
Summary: PostgreSQL/PHP4 support
Group: Trustix Official
Requires: postgresql-libs php4
%description pgsql
PostgreSQL support module for PHP4

Uncomment "extension=pgsql.so" in order to activate this module

%package devel
Summary: PHP C/C++ development
Group: Trustix Official
Requires: %{name} >= %{version}-%{release}

%description devel
PHP 4 C/C++ development environment
  
%package test
Summary: PHP C/C++ development
Group: Trustix Official
Requires: %{name}

%description test
PHP 4 test suite.
  
%package domxml 
Summary: OpenSSL/PHP4 support
Group: Trustix Official
BuildRequires: libxml2-devel 
Requires: libxml2 php4

%description domxml 
The php-domxml package is a dynamic shared object (DSO) that adds
DOMXML support to PHP. PHP is an HTML-embedded scripting language.
If you need DOMXML support for PHP applications, you will need to
install this package in addition to the php package.

Uncomment "extension=domxml.so" in order to activate this module

%package mhash
Summary: A module for PHP applications that use Mhash.
Group: Trustix Official
Requires: mhash-devel php4 = %{version}-%{release}

%description mhash
The php-mhash package is a dynamic shared object (DSO) for the Apache
Web server that adds Mhash support to PHP.

Uncomment "extension=mhash.so" in order to activate this module

%package fcgi
Summary: PHP as FastCGI program
Group: Trustix Official
Requires: %{name} mod_fastcgi

%description fcgi
PHP as FastCGI program
Please refer to /usr/share/doc/%{name}-%{version}/README.FastCGI for
information on how to use this module.

%prep
%setup -q -n php-%{version}
%patch0 -p1
%patch1 -p1

%build
for i in fcgi apxs; do
mkdir build-$i; pushd build-$i
CFLAGS="$RPM_OPT_FLAGS" ../configure --prefix=/usr \
   	`[ $i = apxs ] && echo --with-apxs2=/usr/sbin/apxs` \
	--with-config-file-path=/etc/httpd/php4 \
	--with-regex=php \
	--with-exec-dir=/usr/bin \
	--mandir=%{_mandir} \
	--enable-safe-mode \
	--enable-dba \
	--enable-sockets \
	--with-db4 \
        --enable-bcmath \
        `[ $i = fcgi ] && echo --enable-force-cgi-redirect --enable-fastcgi` \
        --enable-debug \
        --enable-magic-quotes \
        --enable-track-vars \
	--enable-memory-limit \
	--enable-ftp \
	--enable-exif=shared,/usr \
	--disable-debug \
	--disable-rpath \
	--with-bz2 \
	--with-pear=/usr/lib/php4 \
	--with-curl=shared,/usr \
        --with-readline \
	--with-gmp \
	--with-zlib=/usr \
	--with-imap-ssl \
	--with-freetype-dir=/usr \
	--with-gd=shared \
	--with-jpeg-dir=/usr \
	--with-png-dir=/usr \
	--with-imap=shared,/usr \
	--with-ldap=shared,/usr \
	--with-mysql=shared,/usr \
	--with-pgsql=shared,/usr \
        --with-mhash=shared,/usr \
%if %{_openssl_shared}
	--with-openssl=shared,/usr \
%else
	--with-openssl=/usr \
%endif
	--with-dom=shared,/usr \
        --with-gettext

make
popd
done
cp -r sapi/cgi sapi/fcgi
rm -rf sapi/cgi/.libs sapi/cgi/*.lo

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/php4/

#ugly hack, apxs pretends on changing the httpd.conf, so
#we give it a minimalistic one :)
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
cat <<EOF >$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf

LoadModule
EOF

install -m 644 %{SOURCE3} pear/packages/DB-1.6.2.tar
install -m 644 %{SOURCE4} pear/packages/Mail-1.1.3.tar
install -m 644 %{SOURCE5} pear/packages/HTTP-1.2.2.tar
install -m 644 %{SOURCE6} pear/packages/Net_Socket-1.0.1.tar
install -m 644 %{SOURCE7} pear/packages/Net_SMTP-1.2.6.tar
install -m 644 %{SOURCE8} pear/packages/XML_Parser-1.0.1.tar

rm pear/packages/Archive_Tar*tar
rm pear/packages/Console_Getopt*tar

gunzip -c %{SOURCE10} > pear/packages/Archive_Tar-%{arch_tar_ver}.tar
gunzip -c %{SOURCE11} > pear/packages/Console_Getopt-%{getopt_ver}.tar
 

# Install everything from the CGI SAPI build
pushd build-fcgi

make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
mv $RPM_BUILD_ROOT%{_bindir}/php $RPM_BUILD_ROOT/home/httpd/cgi-bin/php4-fcgi
strip modules/*.so

# Install the CLI SAPI as /usr/bin/php
make install-cli INSTALL_ROOT=$RPM_BUILD_ROOT

# Seems program-suffix did not really do it
pushd $RPM_BUILD_ROOT/usr/bin
  rm -f php4
  for i in *; do
    mv $i ${i}4
  done
popd

perl -pi -e 's,/usr/bin/php,/usr/bin/php4,' $RPM_BUILD_ROOT/usr/bin/pear4
perl -pi -e 's,\/(lib|include)\/(php),/\1/php4,' $RPM_BUILD_ROOT%{_bindir}/{phpize4,php-config4}

# Move include files
mv $RPM_BUILD_ROOT/usr/include/php $RPM_BUILD_ROOT/usr/include/php4
mv $RPM_BUILD_ROOT/usr/lib/php/build $RPM_BUILD_ROOT/usr/lib/php4/build
mv $RPM_BUILD_ROOT%{_mandir}/man1/php.1 $RPM_BUILD_ROOT%{_mandir}/man1/php4.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/php-config.1 $RPM_BUILD_ROOT%{_mandir}/man1/php-config4.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/phpize.1 $RPM_BUILD_ROOT%{_mandir}/man1/phpize4.1

# Wonder why these are located here
rm -rf $RPM_BUILD_ROOT/usr/lib/php4/extentions
#rm -rf $RPM_BUILD_ROOT/usr/lib/php4/.??*

# Not to mention why this ended up here
rm -rf $RPM_BUILD_ROOT/usr/lib/php4/doc

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-php4-fcgi.conf

popd

# Install the Apache module
pushd build-apxs

make install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT

# now we don't need our fake httpd.conf anymore
rm -rf $RPM_BUILD_ROOT/etc/httpd/conf
strip modules/*.so
cp modules/*.so $RPM_BUILD_ROOT/usr/share/php4/

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/httpd/php4
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/php4/php.ini
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-php4.conf

popd

rm -f $RPM_BUILD_ROOT/usr/lib/php4/.*lock

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/lib/apache/libphp4.so
%config(noreplace) /etc/httpd/php4/php.ini
%config(noreplace) /etc/httpd/conf.d/httpd-php4.conf
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS
%doc README.EXTENSIONS README.EXT_SKEL README.PARAMETER_PARSING_API
%doc README.SELF-CONTAINED-EXTENSIONS README.STREAMS README.SUBMITTING_PATCH
%doc README.TESTING README.UNIX-BUILD-SYSTEM TODO 
/usr/bin/pear4
%dir /usr/lib/php4
%dir /usr/share/php4
/usr/lib/php4/*.php
/usr/lib/php4/Archive
/usr/lib/php4/Console
/usr/lib/php4/DB
/usr/lib/php4/Mail
/usr/lib/php4/Net
/usr/lib/php4/OS
/usr/lib/php4/PEAR
/usr/lib/php4/XML
/usr/lib/php4/data
/usr/lib/php4/.registry
/usr/lib/php4/.channels
/usr/lib/php4/.filemap

%files gd
%defattr(-,root,root,0755)
/usr/share/php4/gd.so

%files cli
%defattr(-,root,root,0755)
/usr/bin/php4
%{_mandir}/man1/*

%files fcgi
%defattr(-,root,root,0755)
%config(noreplace) /etc/httpd/conf.d/httpd-php4-fcgi.conf
/home/httpd/cgi-bin/php4-fcgi

%files exif 
%defattr(-,root,root,0755)
/usr/share/php4/exif.so

%files curl
%defattr(-,root,root,0755)
/usr/share/php4/curl.so

%if %{_openssl_shared}
%files openssl
%defattr(-,root,root,0755)
/usr/share/php4/openssl.so
%endif

%files imap
%defattr(-,root,root,0755)
/usr/share/php4/imap.so

%files ldap
%defattr(-,root,root,0755)
/usr/share/php4/ldap.so

%files mysql
%defattr(-,root,root,0755)
/usr/share/php4/mysql.so

%files pgsql
%defattr(-,root,root,0755)
/usr/share/php4/pgsql.so

%files devel
%defattr(-,root,root,0755)
%{_bindir}/php-config4
%{_bindir}/phpize4
%{_libdir}/php4/build
%{_includedir}/php4

%files test
%defattr(-,root,root,0755)
/usr/lib/php4/test

%files domxml
%defattr(-,root,root,0755)
/usr/share/php4/domxml.so

%files mhash
%defattr(-,root,root,0755)
/usr/share/php4/mhash.so

%changelog
* Mon May 07 2007 Nived Gopalan <nived at trustix dot org> 4.4.7-1tr
- New Upstream.
- SECURITY Fix: Several vulnerabilities have been reported in PHP,
  where some have unknown impacts and others can be exploited by
  malicious users to manipulate certain data, disclose potentially
  sensitive information, bypass certain security restrictions,
  or to cause a DoS.(SA25123)

* Fri Mar 09 2007 Nived Gopalan <nived at trustix dot org> 4.4.6-1tr
- New Upstream.
- Fixes crash problem with the session extension when register_globals
  is turned on.

* Fri Feb 23 2007 Nived Gopalan <nived at trustix dot org> 4.4.5-1tr
- New Upstream.
- SECURITY Fix: Several vulnerabilities have been reported in PHP, 
  which can be exploited by malicious people to disclose potentially
  sensitive information, cause a DoS and potentially compromise a
  vulnerable system. (SA24089)

* Wed Oct 11 2006 Nived Gopalan <nived at trustix dot org> 4.4.4-4tr
- SECURITY Fix: Maksymilian Arciemowicz has reported a vulnerability
  in PHP, caused due to an error within the "ini_restore()" function,
  which can be exploited to reset certain options to their default
  value specified in php.ini.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-4625 to this issue.

* Fri Oct 06 2006 Nived Gopalan <nived at trustix dot org> 4.4.4-3tr
- SECURITY Fix: A vulnerability has been reported in PHP, caused due
  to an integer overflow within the "_ecalloc" function. This can
  potentially be exploited to execute arbitrary code via specially
  crafted requests if a PHP script allocates memory based on attacker
  supplied data.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-4812 to this issue.

* Wed Sep 13 2006 Nived Gopalan <nived at trustix dot org> 4.4.4-2tr
- Added BuildRequires ncurses-devel, byacc and bison, Bug #1749.  

* Mon Aug 21 2006 Nived Gopalan <nived at trustix dot org> 4.4.4-1tr
- New Upstream.
- SECURITY Fix: Fixed overflows inside str_repeat() and wordwrap()
  functions on 64bit systems.
- Fixed overflow in GD extension on invalid GIF images.
- Fixed possible open_basedir/safe_mode bypass in cURL extension.
- Fixed overflows inside str_repeat() and wordwrap() functions on
  64bit systems.
- Fixed a buffer overflow inside sscanf() function.
- Fixed memory_limit restriction on 64 bit system.

* Thu Apr 06 2006 Nived Gopalan <nived at trustix dot org> 4.4.2-2tr
- SECURITY Fix: A vulnerability has been discovered in PHP, caused due
  to the "html_entity_decode()" PHP function not being binary safe. This
  can be exploited to disclose certain part of the memory via a script
  calling the "html_entity_decode()" function with input controlled by
  the attacker and where the result is sent to the attacker.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-1490 this issue.

* Tue Mar 21 2006 Nived Gopalan <nived at trustix dot org> 4.4.2-1tr
- New Upstream. 

* Mon Nov 14 2005 Ajith Thampi <ajith at trustix dot org> 4.4.1-2tr
- PHP developers released PHP 4.4.1 version on 2005-10-31. Security
  fixes introduced bug, which affects three SquirrelMail functions.
  If your SquirrelMail install does not use server side sorting, PHP
  bug can create infinite loop in message display.
		
* Wed Nov 02 2005 Bipin S <bipin at comodo dot com> 4.4.1-1tr
- New upstream and Multiple Security Fixes.
- SECURITY Fix: Updated to the latest pcrelib to fix a possible integer
  overflow vulnerability announced in CVE-2005-2491.
- Fixed a Cross Site Scripting (XSS) vulnerability in phpinfo().
- Fixed multiple safe_mode/open_basedir bypass vulnerabilities in
  ext/curl and ext/gd.
- Fixed a possible $GLOBALS overwrite problem in file upload handling,
  extract() and import_request_variables().
- Fixed a problem when a request was terminated due to memory_limit
  constraints during certain parse_str() calls.
- Fixed an issue with trailing slashes in allowed basedirs.
- Fixed an issue with calling virtual() on Apache 2.

* Mon Oct 17 2005 Bipin S <bipin at comodo dot com> 4.4.0-6tr
- Man pages for php-config and phpize is now known as php-config4 and
  phpize4 respectively.
- Security Fix: A vulnerability has been identified in PHP, which could be
  exploited by malicious users to bypass security policies. This flaw is
  due to an error in "fopen_wrappers.c" that does not properly restrict access
  to other directories when the "open_basedir" directive includes a trailing
  slash, which could allow certain scripts in a directory (e.g. "/user/test2/)
  to access files in other directories whose names are substrings of the original
  directory (e.g. "/user/test22/).
                                                                                                                             
  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-3054 to this issue.

* Tue Aug 30 2005 Ajith Thampi <ajith at comodo dot com> 4.4.0-5tr
- Fix Integer overflow in pcre_compile.c which allows attackers to
  execute arbitrary code via quantifier values in regular expressions,
  which leads to a heap-based buffer overflow.

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2491 to this issue.
	
* Tue Aug 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.4.0-4tr
- Added FastCGI support, Bug #1190.

* Mon Aug 15 2005 Erlend Midttun <erlendbm at trustix dot org> 4.4.0-3tr
- Now BuildRequire curl.  Bug #1184.
- Now own /usr/share/php4.  Bug #1188
- Now also ship with -devel files. Bug #1189

* Tue Jul 12 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.4.0-1tr
- New Upstream
- Security Bug Fix release to 4.3.11, Fix Bug #1064 
  Vendor update for XML_RPC to fix remote code execution vulnerability.	

* Mon Jul 11 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 4.3.11.-7tr
- Added missing Buildrequires, Bug #1056.

* Fri Jul 08 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 4.3.11-6tr
- Changed directory Permissions, Bug #1037

* Thu Jul 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.11-5tr
- Added Support for Freetype2 Font library. Fix Bug #1043.
- Enabled support for Socket functions. Fix Bug #1042.

* Thu Jun 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.11-4tr
- Security Fix: PHP XML RPC's remote code execution vulnerability.
- GulfTech Security recently discovered a vulnerability in the PHP XML RPC
  that leads to remote code execution.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CAN-2005-1921 to this issue.

* Thu May 26 2005 Raghu <raghu at comodo dot com> 4.3.11-3tr
- Added mhash support, Bug #748

* Fri Apr 22 2005 Ajith Thampi <ajith at comodo dot com> 4.3.11-2tr
- Rebuilt with postgresql-8.0.2

* Fri Apr  1 2005 Erlend Midttun <erlendbm at trustix dot org> 4.3.11-1tr
- New upstream.
- Make it co-exist with PHP 5

* Fri Dec 17 2004 Erlend Midttun <erlendbm at trustix dot org> 4.3.10-2tr
- New upstream.  Fixes more CANs than I can remember.

* Thu Sep 30 2004 Erlend Midttun <erlendbm at trustix dot org> 4.3.9-2tr
- New upstream.

* Thu Jul 22 2004 Oystein Viggen <oysteivi at trustix dot com> 2.3.8-2tr
- New upstream.

* Fri Jun 18 2004 Chr. Toldnes <christht at trustix dot org> 4.3.7-1tr
- New upstream version: 4.3.7

* Sun Mar 14 2004 Chr. Toldnes <christht at trustix dot org> 4.3.4-8tr
- removed cyrus support, does not build with new cyrus.

* Mon Mar  1 2004 Erlend Midttun <erlendbm at trustix dot org> 4.3.4-6tr
- Added the missing extensions.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 4.3.4-4tr
- Stricter defaults in php.ini.

* Wed Nov 19 2003 Tor Hveem <torh at trustix dot org> 4.3.4-3th
- Readd a BuildReq
- Renamed libpng12 Req to libpng
- Tried removing the _noVersionedDependencies hack

* Tue Nov 18 2003 Tor Hveem <torh at trustix dot org> 4.3.4-2th
- Rebuild for apache with LFS

* Wed Nov  5 2003 Gerald Dachs <gda at trustix dot org> 4.3.4-1gd
- New upstream version
- build requires rpm-build >= 4.0.4-22gd

* Tue Sep 16 2003 Tor Hveem <torh at trustix dot org> 4.3.3-1th
- New upstream
- Fixed docs and tests paths
- Fixed some bogus BuildReq's

* Fri Sep 12 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-9gd
- enabled db4 support

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-8tr
- Added %defattr

* Sat Jun 21 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-7gd
- Added --with-gettext
 
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-6tr
- Big rebuild

* Wed Jun 11 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-5gd
- buildrequries cyrus-sasl-devel, readline-devel

* Wed Jun 11 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-4gd
- use --with-regex=php now, removed patch0

* Sat Jun  7 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-3em
- Fix file conflict on /usr/bin/php.

* Sun Jun  1 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-2em
- Removed libapr-devel

* Sat Jun  1 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-1gd
- New upstream version.
- openssl linked static, because of bug in php
- hack for pleasing apxs with a fake httpd.conf
- made patch to allow to use --with-regex=system

* Wed May 28 2003 Gerald Dachs <gda at trustix dot org> 4.3.1-8gd
- Added package domxml

* Fri May 23 2003 Tor Hveem <torh at trustix dot org> 4.3.1-7th
- Missing BuildReq readline-devel, libpng-devel, libjpeg-devel, mysql-devel
- Added --with-cyrus
- Added package gd

* Thu May 15 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-6em
- Moved docs

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-5em
- Major cleanup.

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-4em
- mod_php4-pgsql requires postgresql-libs and not postgresql.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-3em
- Rebuild against new mysql.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-2em
- Rebuilt against glibc 2.3.2.

* Thu Mar 20 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-1em
- New upstream version.

* Fri Feb 28 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-6em
- Fixed entension dir.

* Wed Feb 19 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-5em
- Added conf file.

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 4.3.0-4gd
- rebuilt against openssl 0.9.7

* Sat Jan 11 2003 Tor Hveem <torh at trustix dot org> 4.3.0-3th
- added packages: openssl, cli, exif

* Fri Jan  3 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-2em
- Changed Req: imap to BuildReq: uw-imap-devel on -imap package
- New and improved php.ini file.  Slightly modified php.ini-recommended.

* Sat Dec 28 2002 Tor Hveem <torh at trustix dot org> 4.3.0-1th
- New upstream version: 4.3.0
- Removed tsrm patch
- Added new build requirements bzip2-devel, libapr-devel
- Readded imap module

* Thu Sep 26 2002 Erlend Midttun <erlendbm at trustix dot com> 4.2.3-2em
- Added buildreq flex.

* Wed Sep 11 2002 Erlend Midttun <erlendbm at trustix dot com> 4.2.3-1em
- New PHP.
- Now required Apache 2.

* Mon Mar 25 2002 Christian H. Toldnes <christht at trustix dot com>
- The old rfc1867.c didn't fix it. Applied a new patch.

* Thu Feb 28 2002 Christian H. Toldnes <christht at trustix dot com>
- Applied securitypatch. (rfc1867.c)

* Wed Sep 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Seems the previous mailsec patch was broken, trying again.

* Thu Jul 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed a few dependencies.

* Thu Jul 19 2001 Oystein Viggen <oysteivi at trustix dot com>
- Add a fix from cvs to stop mail() from breaking safe mode.

* Mon Jul 16 2001 Oystein Viggen <oysteivi at trustix dot com>
- 4.0.6 didn't fix memlimit.  Added patch from the php team.

* Mon Jul  9 2001 Oystein Viggen <oysteivi at trustix dot com>
- Because of build problems, imap is no longer built as a module.

* Tue Jul  3 2001 Oystein Viggen <oysteivi at trustix dot com>
- define _noVersionedDependencies

* Mon Jul  2 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.0.6
- This new version fixes a bug with --enable-memory-limit

* Mon Jun 11 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.0.5

* Mon Mar 19 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 4.0.4pl1
- Created dynamic modules (and own packages) for imap, ldap, mysql and pgsql

* Wed Oct 18 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update to 3.0.17. Removed syslog patch

* Wed May 3 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update to php 3.0.16

* Sat Feb 26 2000 Lars Gaarden <larsg at trustix dot com>
- Picked up php 3.0.15

* Fri Feb 25 2000 Lars Gaarden <larsg at trustix dot com>
- Added Provides: php

* Tue Jan 25 2000 Per Ivar Paulsen <perp at trustix dot com>
- picked up php 3.0.14.
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration

* Wed Jan 6 2000 Per Ivar Paulsen <perp@paulsen.org>
- picked up php 3.0.13. And updated manual

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
